!Compute Mrms from N0
!by D.Jost 15/09/09

subroutine Mbar(N0)

implicit none

include 'global.var'

real*8,dimension(N+1,N+1)		::N0

real*8		::Mrms !root mean squared magnetization

integer		::i,j !other local variables
real*8		::M,NNC,norm

Mrms=0d0
norm=0d0

do i=1,N+1
	M=2d0*(i-1)-N !corresponding M value
	do j=1,N+1
		NNC=4d0*(j-1)-2d0*N !corresponding NNC value
		Mrms=Mrms+M**2d0*N0(i,j)
		norm=norm+N0(i,j)
	end do
end do

!write the normalized rms magnetization
write(*,*) 'T0=',T0,'Mrms=',dsqrt(Mrms/norm)/real(N) 
	
	
end subroutine Mbar