!Generate a random spin matrix and compute M and NNC
!by D.Jost 08/09/09

subroutine randomconfig(SpMtx,M,NNC)

implicit none

include 'global.var'

real*8		::M,NNC
real*8,dimension(P,P)	::SpMtx !the random matrix

integer		::i,j !other variables
real*8		::randomnumber

!initialize the variables
M=0d0
NNC=0d0
SpMtx=1

!generate the random matrix and compute M
do i=1,P
	do j=1,P
		if (randomnumber().le.0.5d0) SpMtx(i,j)=-1 !choose randomly the spin
		M=M+SpMtx(i,j) !compute M
	end do
end do

!compute NNC
do i=1,P
	do j=1,P
		NNC=NNC+SpMtx(i,j)*(SpMtx(i,mod(j,P)+1)+SpMtx(mod(i,P)+1,j))
	end do
end do

end subroutine randomconfig



