!Acceptance rule
! by D.Jost 02/10/09

subroutine walk(SpMtx,M,NNC,N0,pi)

implicit none

include 'global.var'

real*8,dimension(P,P)		::SpMtx
real*8,dimension(N+1,N+1)		::N0,pi
real*8			:: M,NNC,Mn,NNCn

integer		::ir,jr !row and column for the random spin flip

real*8		::randomnumber,Sij !other local variables
integer		::im1,jm1,ip1,jp1

!chose randomly a spin
ir=int(P*randomnumber())+1
jr=int(P*randomnumber())+1
Sij=SpMtx(ir,jr)

!compute M and NNC for the new configuration
Mn=!****************! !magnetization of the new configuration

im1=ir-1
jm1=jr-1
if (im1.eq.0) im1=P
if (jm1.eq.0) jm1=P
ip1=ir+1
jp1=jr+1
if (ip1.eq.(P+1)) ip1=1
if (jp1.eq.(P+1)) jp1=1
NNCn=!****************! !coupling of the new configuration

!acceptance rule
 if !****************! then
	!we accept the move
	SpMtx(ir,jr)=-Sij
	M=Mn
	NNC=NNCn
end if

!update the histogram
N0(int((M+N)/2)+1,int((NNC+2*N)/4)+1)=!****************!

end subroutine walk